Subject: bug#15611: not reproduced

From: Michael Wright <[email-masked]>
Date: Sat, 5 Mar 2016 20:34:03 -0800

Gareth Rees <[email-masked]> writes:

> In a fresh emacs -Q, I opened the file test.c, which has the following
contents:
>
>     void a()
>     {
>     #define b() \
>       c \
>         d(e, (f)); \
>       g
>     }
>
> I typed
>
>     M-: (font-lock-fontify-region 1 (point-max)) RET
>
> and the following error was signalled:
>
>     Error during redisplay: (jit-lock-function 1) signaled
(args-out-of-range 39 55)
>
> I expect C mode not to signal an error in this case.
>
> (I'm running GNU Emacs 24.3.1 (x86_64-apple-darwin, NS
apple-appkit-1038.36) of 2013-03-13.)

When I attempted to recreate this in a build from the emacs-24 git branch
today, I do not see the error in the bug report.  I do, however, see a
message echoed:
 (jit-lock-bounds 1 . 55)

GNU Emacs 25.0.92.1 (x86_64-apple-darwin13.4.0, NS appkit-1265.21 Version
10.9.5 (Build 13F1507))
 of 2016-03-05